
// SHADOWS

// Character Drop Shadow

// drop shadow for props and characters
datablock afxZodiacData(DropShadowZodiac)
{
   texture = "~/shadows/dropshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 1";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(DropShadowEffect)
{
   effect = DropShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(DropShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = DropShadowEffect;
};
// ----------- FOREST DROP SHADOWS -----------

// Pine tree Drop Shadow
datablock afxZodiacData(pineShadowZodiac)
{
   texture = "~/shadows/pineshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 0.35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(pineShadowEffect)
{
   effect = pineShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(pineShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = pineShadowEffect;
};

// Apple tree Drop Shadow
datablock afxZodiacData(appleShadowZodiac)
{
   texture = "~/shadows/appleshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 0.35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(appleShadowEffect)
{
   effect = appleShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;

   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(appleShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = appleShadowEffect;
};
// Oak tree Drop Shadow
datablock afxZodiacData(oakShadowZodiac)
{
   texture = "~/shadows/oakshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 0.35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(oakShadowEffect)
{
   effect = oakShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;

   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(oakShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = oakShadowEffect;
};   
// Dead Oak tree Drop Shadow
datablock afxZodiacData(deadoakShadowZodiac)
{
   texture = "~/shadows/deadoakshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 0.35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(deadoakShadowEffect)
{
   effect = deadoakShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;

   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(deadoakShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = deadoakShadowEffect;
};

// Joshua tree Drop Shadow
datablock afxZodiacData(JoshuaShadowZodiac)
{
   texture = "~/shadows/joshuashadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 0.35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(JoshuaShadowEffect)
{
   effect = JoshuaShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(JoshuaShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = JoshuaShadowEffect;
};

// Sapling tree Drop Shadow
datablock afxZodiacData(SaplingShadowZodiac)
{
   texture = "~/shadows/saplingshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 0.35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(SaplingShadowEffect)
{
   effect = SaplingShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(SaplingShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = SaplingShadowEffect;
};

// Sheriff Office Shadow

datablock afxZodiacData(SheriffShadowZodiac)
{
   texture = "~/shadows/sheriffshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(SheriffShadowEffect)
{
   effect = SheriffShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(SheriffShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = SheriffShadowEffect;
};

// Ranch Shadow

datablock afxZodiacData(RanchShadowZodiac)
{
   texture = "~/shadows/ranchshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(RanchShadowEffect)
{
   effect = RanchShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(RanchShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = RanchShadowEffect;
};

// Bank Shadow

datablock afxZodiacData(BankShadowZodiac)
{
   texture = "~/shadows/bankshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(BankShadowEffect)
{
   effect = BankShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(BankShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = BankShadowEffect;
};


// Shack Shadow

datablock afxZodiacData(ShackShadowZodiac)
{
   texture = "~/shadows/shackshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(ShackShadowEffect)
{
   effect = ShackShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(ShackShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = ShackShadowEffect;
};


// WatchTower Shadow

datablock afxZodiacData(WatchTowerShadowZodiac)
{
   texture = "~/shadows/watchtowershadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(WatchTowerShadowEffect)
{
   effect = WatchTowerShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(WatchTowerShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = WatchTowerShadowEffect;
};

// Smokehouse Shadow

datablock afxZodiacData(SmokehouseShadowZodiac)
{
   texture = "~/shadows/Smokehouseshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(SmokehouseShadowEffect)
{
   effect = SmokehouseShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(SmokehouseShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = SmokehouseShadowEffect;
};

// Train Station Shadow

datablock afxZodiacData(TrainStationShadowZodiac)
{
   texture = "~/shadows/trainstationshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(TrainStationShadowEffect)
{
   effect = TrainStationShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(TrainStationShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = TrainStationShadowEffect;
};

// Outpost Shadow

datablock afxZodiacData(OutpostShadowZodiac)
{
   texture = "~/shadows/outpostshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(OutpostShadowEffect)
{
   effect = OutpostShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(OutpostShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = OutpostShadowEffect;
};

// Platform Shadow

datablock afxZodiacData(PlatformShadowZodiac)
{
   texture = "~/shadows/platformshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(PlatformShadowEffect)
{
   effect = PlatformShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(PlatformShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = PlatformShadowEffect;
};

// Barbershop Shadow

datablock afxZodiacData(BarbershopShadowZodiac)
{
   texture = "~/shadows/barbershopshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(BarbershopShadowEffect)
{
   effect = BarbershopShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(BarbershopShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = BarbershopShadowEffect;
};

// Gazebo Shadow

datablock afxZodiacData(GazeboShadowZodiac)
{
   texture = "~/shadows/gazeboshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(GazeboShadowEffect)
{
   effect = GazeboShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(GazeboShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = GazeboShadowEffect;
};

// Generalstore Shadow

datablock afxZodiacData(GeneralstoreShadowZodiac)
{
   texture = "~/shadows/generalstoreshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(GeneralstoreShadowEffect)
{
   effect = GeneralstoreShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(GeneralstoreShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = GeneralstoreShadowEffect;
};

// Granary Shadow

datablock afxZodiacData(GranaryShadowZodiac)
{
   texture = "~/shadows/granaryshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(GranaryShadowEffect)
{
   effect = GranaryShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(GranaryShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = GranaryShadowEffect;
};

// Hotel Shadow

datablock afxZodiacData(HotelShadowZodiac)
{
   texture = "~/shadows/hotelshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(HotelShadowEffect)
{
   effect = HotelShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(HotelShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = HotelShadowEffect;
};

// Watertower Shadow

datablock afxZodiacData(WatertowerShadowZodiac)
{
   texture = "~/shadows/watertowershadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(WatertowerShadowEffect)
{
   effect = WatertowerShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(WatertowerShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = WatertowerShadowEffect;
};

// Saloon Shadow

datablock afxZodiacData(SaloonShadowZodiac)
{
   texture = "~/shadows/saloonshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(SaloonShadowEffect)
{
   effect = SaloonShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(SaloonShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = SaloonShadowEffect;
};

// Well Shadow

datablock afxZodiacData(WellShadowZodiac)
{
   texture = "~/shadows/wellshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(WellShadowEffect)
{
   effect = WellShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(WellShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = WellShadowEffect;
};

// Farm Shadow

datablock afxZodiacData(FarmShadowZodiac)
{
   texture = "~/shadows/farmshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(FarmShadowEffect)
{
   effect = FarmShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(FarmShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = FarmShadowEffect;
};

// Tradingpost Shadow

datablock afxZodiacData(TradingpostShadowZodiac)
{
   texture = "~/shadows/tradingpostshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(TradingpostShadowEffect)
{
   effect = TradingpostShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(TradingpostShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = TradingpostShadowEffect;
};

// Outhouse Shadow

datablock afxZodiacData(OuthouseShadowZodiac)
{
   texture = "~/shadows/outhouseshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(OuthouseShadowEffect)
{
   effect = OuthouseShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(OuthouseShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = OuthouseShadowEffect;
};
// Woodhut Shadow

datablock afxZodiacData(WoodhutShadowZodiac)
{
   texture = "~/shadows/woodhutshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(WoodhutShadowEffect)
{
   effect = WoodhutShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(WoodhutShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = WoodhutShadowEffect;
};

// Church Shadow

datablock afxZodiacData(ChurchShadowZodiac)
{
   texture = "~/shadows/churchshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(ChurchShadowEffect)
{
   effect = ChurchShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(ChurchShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = ChurchShadowEffect;
};

// Lumbermill Shadow

datablock afxZodiacData(LumbermillShadowZodiac)
{
   texture = "~/shadows/lumbermillshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(LumbermillShadowEffect)
{
   effect = LumbermillShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(LumbermillShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = LumbermillShadowEffect;
};

// Blacksmith Shadow

datablock afxZodiacData(BlacksmithShadowZodiac)
{
   texture = "~/shadows/blacksmithshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(BlacksmithShadowEffect)
{
   effect = BlacksmithShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(BlacksmithShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = BlacksmithShadowEffect;
};

// Logcabin Shadow

datablock afxZodiacData(LogcabinShadowZodiac)
{
   texture = "~/shadows/logcabinshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(LogcabinShadowEffect)
{
   effect = LogcabinShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(LogcabinShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = LogcabinShadowEffect;
};


// Townhall Shadow

datablock afxZodiacData(TownhallShadowZodiac)
{
   texture = "~/shadows/Townhallshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(TownhallShadowEffect)
{
   effect = TownhallShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(TownhallShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = TownhallShadowEffect;
};
// Welcome Shadow

datablock afxZodiacData(WelcomeShadowZodiac)
{
   texture = "~/shadows/Welcomeshadow.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 .35";
   blend = normal;
   showOnTerrain = true;
   trackOrientConstraint = true;
};
datablock afxEffectWrapperData(WelcomeShadowEffect)
{
   effect = WelcomeShadowZodiac;
   posConstraint = shadow;
   orientConstraint = shadow;
   
   fadeInTime = 1;
   fadeOutTime = 1;
};
datablock afxSelectronData(WelcomeShadowDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = WelcomeShadowEffect;
};